Subject: bug#72025: SEGFAULT when using corfu and lsp-mode with clangd

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 Jul 2024 07:55:23 +0300

tags 72025 unreproducible
close 72025
thanks

> Date: Wed, 10 Jul 2024 20:18:56 -0400
> From: Ravi D'Elia <[email-masked]>
> 
> On 24/07/10 11:27AM, Ravi D'Elia wrote:
> >Sorry about the backtrace, I did indeed use gdb but didn't have
> >the debugging symbols to make it useful. My distro (arch) does
> >ship a stripped binary with a separate debug package but I'm having
> >difficulties due to (I think) some packaging mishap on my end.  While
> >I take that up on my distro's forum, I'm going to try and build with
> >debugging info. I'll send in the backtrace when one of these bears
> >fruit. Didn't expect to have my computer on me, otherwise I would have
> >figured this out first.
> 
> Well after a day of trying I have found a very robust solution to the
> problem- include debug symbols in any way whatsoever. I have failed to
> replicate with an emacs binary built with any combination of flags and
> settings. I have failed to replicate with what should be an exact rebuild
> of Arch's package. The only way I get the error is by reinstalling from
> repos. So I'm calling it, I'll just use the working build for now. Since
> that build has debug symbols it will be easy to get some useful data if
> the problem strikes again, but for now there isn't much to do. Thanks
> for the help, sorry I couldn't do more.

Thank you very much for your efforts.

I'm therefore closing this bug as unreproducible.  If you ever bump
into it again, we can always reopen the bug with the details you
hopefully will be able to provide then.